[Lsb-messages] /var/www/bzr/lsb/devel/olver-core-tests r71: fixup 64-bit support and SDK comment (bug 3383)

Mats Wichmann mats at linuxfoundation.org
Fri Feb 10 17:00:41 UTC 2012


------------------------------------------------------------
revno: 71
committer: Mats Wichmann <mats at linuxfoundation.org>
branch nick: olver-core-new
timestamp: Fri 2012-02-10 10:00:41 -0700
message:
  fixup 64-bit support and SDK comment (bug 3383)
modified:
  README
  build_prerequisites.sh
-------------- next part --------------
=== modified file 'README'
--- a/README	2010-01-14 16:50:38 +0000
+++ b/README	2012-02-10 17:00:41 +0000
@@ -57,8 +57,8 @@
 To build OLVER one need to have the following components installed in the
 system:
 
-1. LSB 3.1 Software Development Kit (SDK). You may find it on
-       http://www.linux-foundation.org/en/Downloads
+1. LSB 4.1 Software Development Kit (SDK). You may find it on
+       http://www.linuxfoundation.org/collaborate/workgroups/lsb/download
 2. GNU C/C++ Compiler 3.3.5 or later
 3. Java Runtime Environment version 5 or later (Sun or IBM preferred). Note that 'java' command
    should be on your path.

=== modified file 'build_prerequisites.sh'
--- a/build_prerequisites.sh	2010-01-14 16:50:38 +0000
+++ b/build_prerequisites.sh	2012-02-10 17:00:41 +0000
@@ -45,42 +45,14 @@
 if [ $? -eq 0 ]; then
 	check_lsbcc=1
 	# LSB Runtime
-	ls -l /lib/ld-lsb*.3 &> /dev/null
+	ls -l /lib64/ld-lsb*.3 &> /dev/null
 	if [ $? -eq 0  ]; then
 		check_lsb_so=1
-#	else
-#		echo "Creating symbolic link for the LSB Runtime loader..."
-#		CUR_ARCH=`uname -m`
-#		
-#		if [ `id -u` -ne 0 ]; then 
-#			echo "Need root privileges"
-#			OLVER_SU_CMD="su root -- -c"
-#			which sudo 2>&1 > /dev/null
-#			if [ $? -eq 0 ]; then
-#				echo -n "You have sudo available.  Should I use it? "
-#				read answer
-#				answer=`echo ${answer} | cut -c1`
-#				if [ "${answer}" = "y" -o "${answer}" = "Y" ]; then
-#					OLVER_SU_CMD="sudo /bin/sh -c"
-#				fi
-#				echo
-#			fi
-#			
-#			echo "Using the command "${OLVER_SU_CMD}" to gain root access.  Please type the"
-#			echo "appropriate password if prompted."
-#			echo " "
-#		else
-#			echo "Already have root privileges"
-#			OLVER_SU_CMD="/bin/sh -c"
-#		fi
-#
-#		if [ -f /lib/ld-linux.so.2 ]; then
-#			$OLVER_SU_CMD "ln -s /lib/ld-linux.so.2 /lib/ld-lsb.so.3"
-#		fi
-#		if [ -f /lib/ld-linux-$CUR_ARCH.so.2 ]; then
-#			$OLVER_SU_CMD "ln -s /lib/ld-linux-$CUR_ARCH.so.2 /lib/ld-lsb-$CUR_ARCH.so.3"
-#		fi
-#		check_lsb_so=1
+	else
+		ls -l /lib/ld-lsb*.3 &> /dev/null
+		if [ $? -eq 0  ]; then
+			check_lsb_so=1
+		fi
 	fi
 fi
 



More information about the lsb-messages mailing list